package com.ningdatech.kqapi.zzsfw.manage;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ningdatech.basic.model.PageVo;
import com.ningdatech.kqapi.zzsfw.entity.entity.NdKqZzsfwPolicy;
import com.ningdatech.kqapi.zzsfw.entity.vo.NdKqZzsfwPolicyVO;
import com.ningdatech.kqapi.zzsfw.service.INdKqZzsfwPolicyService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.stream.Collectors;

/**
 * @Classname PolicyManage
 * @Description
 * @Date 2023/11/02 14:55
 * @Author PoffyZhang
 */
@Component
@Slf4j
@RequiredArgsConstructor
public class PolicyManage {

    private final INdKqZzsfwPolicyService policyService;


    public PageVo<NdKqZzsfwPolicyVO> list(long pageNumber, long pageSize) {
        Page<NdKqZzsfwPolicy> page = Page.of(pageNumber,pageSize);
        Page<NdKqZzsfwPolicy> pageRes = policyService.page(page, Wrappers.lambdaQuery(NdKqZzsfwPolicy.class)
                .orderByAsc(NdKqZzsfwPolicy::getSort));

        if(CollUtil.isEmpty(pageRes.getRecords())){
            return PageVo.empty();
        }
        List<NdKqZzsfwPolicyVO> res = pageRes.getRecords().stream()
                .map(p -> BeanUtil.copyProperties(p,NdKqZzsfwPolicyVO.class))
                .collect(Collectors.toList());
        return PageVo.of(res,pageRes.getTotal());
    }
}
